QoreBoolOrNothingDataType.qc.dox.h
// -*- mode: c++; indent-tabs-mode: nil -*-
// assume local scope for variables, do not use "$" signs
// require type definitions everywhere
// enable all warnings
namespace DataProvider {
class QoreBoolOrNothingDataType : public QoreBoolDataTypeBase {
public:
constructor(*hash<auto> options) ;
};
};
DataProvider::QoreBoolOrNothingDataType
describes a data type based on *int
Definition: QoreBoolOrNothingDataType.qc.dox.h:34
DataProvider
Qore AbstractDataField class definition.
Definition: AbstractDataField.qc.dox.h:32
DataProvider::QoreBoolOrNothingDataType::constructor
constructor(*hash< auto > options)
creates the object
DataProvider::QoreBoolDataTypeBase
describes a data type based on softint with validation for parsing strings
Definition: QoreBoolDataTypeBase.qc.dox.h:34
DataProvider::AbstractDataProviderType::options
hash< auto > options
type options
Definition: AbstractDataProviderType.qc.dox.h:169